edu.isi.pegasus.planner.transfer.refiner

## Class Bundle.TransferContainer

- java.lang.Object
- - edu.isi.pegasus.planner.transfer.refiner.Bundle.TransferContainer

Enclosing class:
  Bundle

    protected class Bundle.TransferContainer
    extends java.lang.Object

A container class for storing the name of the transfer job, the list of file transfers that the job is responsible for.

### Field Summary

Fields
`private java.util.Collection` `mFileTXList` The collection of `FileTransfer` objects containing the transfers the job is responsible for.
`private java.util.Collection` `mRegFiles` The collection of `FileTransfer` objects containing the files that need to be registered.
`private java.lang.String` `mRegName` The name of the registration job.
`private int` `mTransferType` The type of the transfers the job is responsible for.
`private java.lang.String` `mTXName` The name of the transfer job.

### Constructor Summary

Constructors
Constructor and Description
`TransferContainer()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRegistrationFiles(java.util.Collection files)` Adds a Collection of File transfer to the underlying collection of files to be registered.
`void` `addTransfer(java.util.Collection files)` Adds a file transfer to the underlying collection.
`void` `addTransfer(FileTransfer transfer)` Adds a file transfer to the underlying collection.
`java.util.Collection` `getFileTransfers()` Returns the collection of transfers associated with this transfer container.
`java.util.Collection` `getRegistrationFiles()` Returns the collection of registration files associated with this transfer container.
`java.lang.String` `getRegName()` Returns the name of the registration job.
`java.lang.String` `getTXName()` Returns the name of the transfer job.
`void` `setRegName(java.lang.String name)` Sets the name of the registration job.
`void` `setTransferType(int type)` Sets the transfer type for the transfers associated.
`void` `setTXName(java.lang.String name)` Sets the name of the transfer job.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mTXName

    private java.lang.String mTXName

The name of the transfer job.

#### mRegName

    private java.lang.String mRegName

The name of the registration job.

#### mFileTXList

    private java.util.Collection mFileTXList

The collection of `FileTransfer` objects containing the transfers the job is responsible for.

#### mRegFiles

    private java.util.Collection mRegFiles

The collection of `FileTransfer` objects containing the files that need to be registered.

#### mTransferType

    private int mTransferType

The type of the transfers the job is responsible for.

### Constructor Detail

#### TransferContainer

    public TransferContainer()

The default constructor.

### Method Detail

#### setTXName

    public void setTXName(java.lang.String name)

Sets the name of the transfer job.

Parameters:
  `name` - the name of the transfer job.

#### setRegName

    public void setRegName(java.lang.String name)

Sets the name of the registration job.

Parameters:
  `name` - the name of the transfer job.

#### addTransfer

    public void addTransfer(FileTransfer transfer)

Adds a file transfer to the underlying collection.

Parameters:
  `transfer` - the `FileTransfer` containing the information about a single transfer.

#### addTransfer

    public void addTransfer(java.util.Collection files)

Adds a file transfer to the underlying collection.

Parameters:
  `files` - collection of `FileTransfer`.

#### addRegistrationFiles

    public void addRegistrationFiles(java.util.Collection files)

Adds a Collection of File transfer to the underlying collection of files to be registered.

Parameters:
  `files` - collection of `FileTransfer`.

#### setTransferType

    public void setTransferType(int type)

Sets the transfer type for the transfers associated.

Parameters:
  `type` - type of transfer.

#### getTXName

    public java.lang.String getTXName()

Returns the name of the transfer job.

Returns:
  name of the transfer job.

#### getRegName

    public java.lang.String getRegName()

Returns the name of the registration job.

Returns:
  name of the registration job.

#### getFileTransfers

    public java.util.Collection getFileTransfers()

Returns the collection of transfers associated with this transfer container.

Returns:
  a collection of `FileTransfer` objects.

#### getRegistrationFiles

    public java.util.Collection getRegistrationFiles()

Returns the collection of registration files associated with this transfer container.

Returns:
  a collection of `FileTransfer` objects.